ResourceGridFactory (gCube Resource Management Portlet 4.0.0-SNAPSHOT API)
Date: 2013-02-27

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.resourcemanagement.client.views.resourcedetails
Class ResourceGridFactory

    java.lang.Object
      org.gcube.portlets.admin.resourcemanagement.client.views.resourcedetails.ResourceGridFactory

    public class ResourceGridFactory

extends Object

Author:
  Daniele Strollo (ISTI-CNR)

Constructor Summary
`ResourceGridFactory()`

Method Summary
`static com.extjs.gxt.ui.client.widget.grid.Grid<com.extjs.gxt.ui.client.data.ModelData>` | `createGrid(String resourceType, List<String> result, String groupingColumn)`
`static com.extjs.gxt.ui.client.widget.grid.Grid<com.extjs.gxt.ui.client.data.ModelData>` | `createGrid(String resourceType, List<String> result, String groupingColumn, boolean autoExpand)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceGridFactory

    public ResourceGridFactory()

Method Detail

### createGrid

    public static final com.extjs.gxt.ui.client.widget.grid.Grid<com.extjs.gxt.ui.client.data.ModelData> createGrid(String resourceType,
                                                                                                                    List<String> result,
                                                                                                                    String groupingColumn)

### createGrid

    public static final com.extjs.gxt.ui.client.widget.grid.Grid<com.extjs.gxt.ui.client.data.ModelData> createGrid(String resourceType,
                                                                                                                    List<String> result,
                                                                                                                    String groupingColumn,
                                                                                                                    boolean autoExpand)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.